gstreamermm: Gst::EventStep Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# Gst::EventStep Class Reference

A step event. More...

Inheritance diagram for Gst::EventStep:
[legend]
Collaboration diagram for Gst::EventStep:
[legend]

List of all members.

## Public Member Functions
| EventStep (GstEvent* event)
void | parse (Gst::Format& format, guint64& amount, double& rate, bool& flush, bool& intermediate) const
| Parse the step event.
guint64 | parse () const
| Get the amount in a step event.
Gst::Format | parse_format () const
| Get the format in a step event.
double | parse_rate () const
| Get the rate in a step event.
bool | parse_flush () const
| Get the flush in a step event.
bool | parse_intermediate () const
| Get the intermediate flag in a step event.
## Static Public Member Functions
static Glib::RefPtr< Gst::Event > | create (Gst::Format format, guint64 amount, double rate, bool flush, bool intermediate)
| Create a new step event.

## Detailed Description

A step event.

See create() for more details.

## Constructor & Destructor Documentation

Gst::EventStep::EventStep | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventStep::create | ( | Gst::Format | format,
|  | guint64 | amount,
|  | double | rate,
|  | bool | flush,
|  | bool | intermediate
| ) |  | `[static]`

Create a new step event.

The purpose of the step event is to instruct a sink to skip amount (expressed in format) of media. It can be used to implement stepping through the video frame by frame or for doing fast trick modes.

A rate of <= 0.0 is not allowed, pause the pipeline or reverse the playback direction of the pipeline to get the same effect.

The flush flag will clear any pending data in the pipeline before starting the step operation.

The intermediate flag instructs the pipeline that this step operation is part of a larger step operation.

Parameters:

  format | The format of amount.
  amount | The amount of data to step.
  rate | The step rate.
  flush | Flushing steps.
  intermediate | Intermediate steps.

Returns:
  A new Gst::Event.

Since 0.10.24.

void Gst::EventStep::parse | ( | Gst::Format& | format,
|  | guint64 & | amount,
|  | double & | rate,
|  | bool & | flush,
|  | bool & | intermediate
| ) |  | const

Parse the step event.

Parameters:

  format | A reference to store the format in.
  amount | A reference to store the amount in.
  rate | A reference to store the rate in.
  flush | A reference to store the flush boolean in.
  intermediate | A reference to store the intermediate boolean in.

guint64 Gst::EventStep::parse | ( |  | ) | const

Get the amount in a step event.

Returns:
  The amount.

bool Gst::EventStep::parse_flush | ( |  | ) | const

Get the flush in a step event.

Returns:
  The flush flag.

Gst::Format Gst::EventStep::parse_format | ( |  | ) | const

Get the format in a step event.

Returns:
  The format.

bool Gst::EventStep::parse_intermediate | ( |  | ) | const

Get the intermediate flag in a step event.

Returns:
  The intermediate flag.

double Gst::EventStep::parse_rate | ( |  | ) | const

Get the rate in a step event.

Returns:
  The rate.

The documentation for this class was generated from the following file:

- gstreamermm/event.h